package endpoints

import (
	"encoding/json"
	. "github.com/imosed/signet/data"
	"net/http"
)

func UsersExist(w http.ResponseWriter, r *http.Request) {
	var numUsers int64
	Db.Table("users").Count(&numUsers)

	var resp SuccessResponse
	resp.Success = numUsers > 0

	err := json.NewEncoder(w).Encode(resp)
	if err != nil {
		panic("Could not deliver response")
	}
}
